package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-25 17:35:03
 * 实体【[流程审批意见](WF_COMMENT)】的Entity类
 */
@SwTable("WF_COMMENT")
public class Comment extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_COMMENT";

    public Comment() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("cmt_id");
    }

    /**
     * 主键
     */
    public void setId(long cmt_id) {
        put("cmt_id", cmt_id);
    }

    /**
     * 流程id
     */
    public long getPriId() {
        return getLong("cmt_pri_id");
    }

    /**
     * 流程id
     */
    public void setPriId(long cmt_pri_id) {
        put("cmt_pri_id", cmt_pri_id);
    }

    /**
     * 任务id
     */
    public long getTskId() {
        return getLong("cmt_tsk_id");
    }

    /**
     * 任务id
     */
    public void setTskId(long cmt_tsk_id) {
        put("cmt_tsk_id", cmt_tsk_id);
    }

    /**
     * 活动id
     */
    public String getActId() {
        return getStr("cmt_act_id");
    }

    /**
     * 活动id
     */
    public void setActId(String cmt_act_id) {
        put("cmt_act_id", cmt_act_id);
    }

    /**
     * 活动名
     */
    public String getActName() {
        return getStr("cmt_act_name");
    }

    /**
     * 活动名
     */
    public void setActName(String cmt_act_name) {
        put("cmt_act_name", cmt_act_name);
    }

    /**
     * 主办人
     */
    public long getHandler() {
        return getLong("cmt_handler");
    }

    /**
     * 主办人
     */
    public void setHandler(long cmt_handler) {
        put("cmt_handler", cmt_handler);
    }

    /**
     * 开始时间
     */
    public long getStartTime() {
        return getLong("cmt_start_time");
    }

    /**
     * 开始时间
     */
    public void setStartTime(long cmt_start_time) {
        put("cmt_start_time", cmt_start_time);
    }

    /**
     * 签收时间
     */
    public long getHandlerTime() {
        return getLong("cmt_handler_time");
    }

    /**
     * 签收时间
     */
    public void setHandlerTime(long cmt_handler_time) {
        put("cmt_handler_time", cmt_handler_time);
    }

    /**
     * 结束时间
     */
    public long getEndTime() {
        return getLong("cmt_end_time");
    }

    /**
     * 结束时间
     */
    public void setEndTime(long cmt_end_time) {
        put("cmt_end_time", cmt_end_time);
    }

    /**
     * 审批意见
     */
    public String getComment() {
        return getStr("cmt_comment");
    }

    /**
     * 审批意见
     */
    public void setComment(String cmt_comment) {
        put("cmt_comment", cmt_comment);
    }

    /**
     * 状态
     */
    public int getStatu() {
        return getInt("cmt_statu");
    }

    /**
     * 状态
     */
    public void setStatu(int cmt_statu) {
        put("cmt_statu", cmt_statu);
    }
}
